% read XLS.file and XLS.motive
[a,b] = uigetfile;
load(fullfile(b,a),'XLS');
filelist = XLS.file;

% get folder of cvs files
p = uigetdir;

% read cvs data
for k = 1:size(filelist,1)
    if ~strcmp(filelist{k,1},'1993_28') % check bad csv files
        csvname = fullfile(p,[filelist{k,1} '.csv']);
        if isequal(exist(csvname),2)
            [data{k,1}, heading{k,1}, time{k,1}, info{k,1}] = andor_read2_motiveCSV(csvname, {'Rigid Body', XLS.motive{k,1}.border{:}});
        end
    end
end
%%
save('HS_1943_1116_csv','data','heading','time','info','-v7.3')