% function andor_INCfreemov_5_1(ARENA,FREQ,INDEX)
% INDEX: commands with thetaindex,nonthetaindex,runindex,runstimindex,stillindex,remindex,nonremindex
ARENA = 'linearTrack';
FREQ = 'f25Hz';
INDEX = 'and(runindex,thetaindex)';
fstim = 25;

welchtime = 2000;
% #1 INC ChR2
[Wdiff,Wdiffi,data_pre,data_stim,welch_diffmean,thetadom_PRE,thetadom_STIM,thetadom_POST,thetaSHIFT,data_thshift,fWelch,speedav,speedav_stim,speedav_post,...
    sump_d_pre,sump_d_stim,SP_d_pre,SP_d_stim,...
    sump_th_pre,sump_th_stim,SP_th_pre,SP_th_stim,...
    sump_th1_pre,sump_th1_stim,SP_th1_pre,SP_th1_stim,...
    sump_th2_pre,sump_th2_stim,SP_th2_pre,SP_th2_stim,...
    sump_stimF_pre,sump_stimF_stim,SP_stimF_pre,SP_stimF_stim,...
    sump_bgLOW_pre,sump_bgLOW_stim,SP_bgLOW_pre,SP_bgLOW_stim,...
    sump_bgHIGH_pre,sump_bgHIGH_stim,SP_bgHIGH_pre,SP_bgHIGH_stim,...
    sumpBG_pre,sumpBG_stim,sumpBG_post,...
    R_th,Ri_th,R_th1,Ri_th1,R_th2,Ri_th2,R_d,Ri_d,R_stimF,Ri_stimF,R_bgLOW,Ri_bgLOW,R_bgHIGH,Ri_bgHIGH,R_bg,Ri_bg,...
    TDRmean_pre,TDRmean_stim,TDR_pre,TDR_stim,TDR_preIndex,TDR_stimIndex,TDRshift,TDRSHIFT,TDRshiftIndex,index] = andor_INCfreemov_5_1_1_fast('INC',ARENA,FREQ,{'1868','2017','2026','2027','2046'},welchtime,INDEX,fstim);

% #2 INC CTRL
[WdiffCTRL,WdiffiCTRL,data_preCTRL,data_stimCTRL,welch_diffmeanCTRL,thetadom_PRECTRL,thetadom_STIMCTRL,thetadom_POSTCTRL,thetaSHIFTCTRL,data_thshiftCTRL,fWelchCTRL,speedavCTRL,speedav_stimCTRL,speedav_postCTRL,...
    sump_d_preCTRL,sump_d_stimCTRL,SP_d_preCTRL,SP_d_stimCTRL,...
    sump_th_preCTRL,sump_th_stimCTRL,SP_th_preCTRL,SP_th_stimCTRL,...
    sump_th1_preCTRL,sump_th1_stimCTRL,SP_th1_preCTRL,SP_th1_stimCTRL,...
    sump_th2_preCTRL,sump_th2_stimCTRL,SP_th2_preCTRL,SP_th2_stimCTRL,...
    sump_stimF_preCTRL,sump_stimF_stimCTRL,SP_stimF_preCTRL,SP_stimF_stimCTRL,...
    sump_bgLOW_preCTRL,sump_bgLOW_stimCTRL,SP_bgLOW_preCTRL,SP_bgLOW_stimCTRL,...
    sump_bgHIGH_preCTRL,sump_bgHIGH_stimCTRL,SP_bgHIGH_preCTRL,SP_bgHIGH_stimCTRL,...
    sumpBG_preCTRL,sumpBG_stimCTRL,sumpBG_postCTRL,...
    R_thCTRL,Ri_thCTRL,R_th1CTRL,Ri_th1CTRL,R_th2CTRL,Ri_th2CTRL,R_dCTRL,Ri_dCTRL,R_stimFCTRL,Ri_stimFCTRL,R_bgLOWCTRL,Ri_bgLOWCTRL,R_bgHIGHCTRL,Ri_bgHIGHCTRL,R_bgCTRL,Ri_bgCTRL,...
    TDRmean_preCTRL,TDRmean_stimCTRL,TDR_preCTRL,TDR_stimCTRL,TDR_preIndexCTRL,TDR_stimIndexCTRL,TDRshiftCTRL,TDRSHIFTCTRL,TDRshiftIndexCTRL,indexCTRL] = andor_INCfreemov_5_1_1_fast('INC',ARENA,FREQ,{'1943','1957','1985','2040','2045'},welchtime,INDEX,fstim);

% #3 BLIND ChR2
[WdiffB,WdiffiB,data_preB,data_stimB,welch_diffmeanB,thetadom_PREB,thetadom_STIMB,thetadom_POSTB,thetaSHIFTB,data_thshiftB,fWelchB,speedavB,speedav_stimB,speedav_postB,...
    sump_d_preB,sump_d_stimB,SP_d_preB,SP_d_stimB,...
    sump_th_preB,sump_th_stimB,SP_th_preB,SP_th_stimB,...
    sump_th1_preB,sump_th1_stimB,SP_th1_preB,SP_th1_stimB,...
    sump_th2_preB,sump_th2_stimB,SP_th2_preB,SP_th2_stimB,...
    sump_stimF_preB,sump_stimF_stimB,SP_stimF_preB,SP_stimF_stimB,...
    sump_bgLOW_preB,sump_bgLOW_stimB,SP_bgLOW_preB,SP_bgLOW_stimB,...
    sump_bgHIGH_preB,sump_bgHIGH_stimB,SP_bgHIGH_preB,SP_bgHIGH_stimB,...
    sumpBG_preB,sumpBG_stimB,sumpBG_postB,...
    R_thB,Ri_thB,R_th1B,Ri_th1B,R_th2B,Ri_th2B,R_dB,Ri_dB,R_stimFB,Ri_stimFB,R_bgLOWB,Ri_bgLOWB,R_bgHIGHB,Ri_bgHIGHB,R_bgB,Ri_bgB,...
    TDRmean_preB,TDRmean_stimB,TDR_preB,TDR_stimB,TDR_preIndexB,TDR_stimIndexB,TDRshiftB,TDRSHIFTB,TDRshiftIndexB,indexB] = andor_INCfreemov_5_1_1_fast('BLIND',ARENA,FREQ,{'1868','2017','2026','2027','2046'},welchtime,INDEX,fstim);

% #4 BLIND CTRL
[WdiffCTRLB,WdiffiCTRLB,data_preCTRLB,data_stimCTRLB,welch_diffmeanCTRLB,thetadom_PRECTRLB,thetadom_STIMCTRLB,thetadom_POSTCTRLB,thetaSHIFTCTRLB,data_thshiftCTRLB,fWelchCTRLB,speedavCTRLB,speedav_stimCTRLB,speedav_postCTRLB,...
    sump_d_preCTRLB,sump_d_stimCTRLB,SP_d_preCTRLB,SP_d_stimCTRLB,...
    sump_th_preCTRLB,sump_th_stimCTRLB,SP_th_preCTRLB,SP_th_stimCTRLB,...
    sump_th1_preCTRLB,sump_th1_stimCTRLB,SP_th1_preCTRLB,SP_th1_stimCTRLB,...
    sump_th2_preCTRLB,sump_th2_stimCTRLB,SP_th2_preCTRLB,SP_th2_stimCTRLB,...
    sump_stimF_preCTRLB,sump_stimF_stimCTRLB,SP_stimF_preCTRLB,SP_stimF_stimCTRLB,...
    sump_bgLOW_preCTRLB,sump_bgLOW_stimCTRLB,SP_bgLOW_preCTRLB,SP_bgLOW_stimCTRLB,...
    sump_bgHIGH_preCTRLB,sump_bgHIGH_stimCTRLB,SP_bgHIGH_preCTRLB,SP_bgHIGH_stimCTRLB,...
    sumpBG_preCTRLB,sumpBG_stimCTRLB,sumpBG_postCTRLB,...
    R_thCTRLB,Ri_thCTRLB,R_th1CTRLB,Ri_th1CTRLB,R_th2CTRLB,Ri_th2CTRLB,R_dCTRLB,Ri_dCTRLB,R_stimFCTRLB,Ri_stimFCTRLB,R_bgLOWCTRLB,Ri_bgLOWCTRLB,R_bgHIGHCTRLB,Ri_bgHIGHCTRLB,R_bgCTRLB,Ri_bgCTRLB,...
    TDRmean_preCTRLB,TDRmean_stimCTRLB,TDR_preCTRLB,TDR_stimCTRLB,TDR_preIndexCTRLB,TDR_stimIndexCTRLB,TDRshiftCTRLB,TDRSHIFTCTRLB,TDRshiftIndexCTRLB,indexCTRLB] = andor_INCfreemov_5_1_1_fast('BLIND',ARENA,FREQ,{'1943','1957','1985','2040','2045'},welchtime,INDEX,fstim);
%% fig 1A
INCcolor = [71 88 167]./255;
xtick = [1 5 12 20 30 40 50 60];
fontsize = 30;

figure; hold on
shadedErrorBar(fWelch(1,:),mean(data_pre),std(data_pre)/sqrt(size(data_pre,1)),'lineProps',{'Color',[0.5 0.5 0.5],'LineWidth',1})

shadedErrorBar(fWelch(1,:),mean(data_stim),std(data_stim)/sqrt(size(data_stim,1)),'lineProps',{'Color',INCcolor,'LineWidth',1})

set(gca,'XLim',[1 60],'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'LineWidth',1,'FontSize',fontsize,'YLim',[20 50])
xlabel(gca,'frequency (Hz)','FontSize',fontsize)
ylabel(gca,'power (log)','FontSize',fontsize)

%%
INCcolor = [71 88 167]./255;

[~,KSdomtheta] = kstest2(thetadom_PRE,thetadom_STIM);
[~,Fdomtheta] = vartest2(thetadom_PRE,thetadom_STIM);
[~,pTdomtheta] = ttest(thetadom_PRE,thetadom_STIM);
pW = signtest(thetadom_PRE,thetadom_STIM);

[~,sortindex] = sort(thetadom_PRE);
sortindex = flip(sortindex);
figure; hold on
scatter(thetadom_PRE(sortindex),1:length(thetadom_PRE),120,[0.5 0.5 0.5],'LineWidth',1)
scatter(thetadom_STIM(sortindex),1:length(thetadom_STIM),120,INCcolor,'LineWidth',1)

xtick = [2.5 6];
ytick = [1 length(thetadom_PRE)];
set(gca,'XLim',[2.5 6],'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));
set(gca,'LineWidth',1,'FontSize',20)
set(gca,'YLim',[0.5 length(thetadom_PRE)+0.5])
set(gca,'Position',[0.15 0.25 0.2 0.7])

xlabel(gca,{'theta dominant';'frequency (Hz)'},'FontSize',20)
ylabel(gca,'stim No.','FontSize',20)

text(10,10,['KS = ' num2str(KSdomtheta)])
text(10,11,['F = ' num2str(Fdomtheta)])
text(10,12,['t = ' num2str(pTdomtheta)])
text(10,12,['signtest = ' num2str(pW)])

%%
purplecolor = [204 51 255]./255;
figure; hold on
scatter(thetaSHIFT(sortindex),1:length(thetaSHIFT),120,purplecolor,'LineWidth',1)

xtick = [-7 0 7];
ytick = [1 length(thetaSHIFT)];
set(gca,'XLim',[-7 7],'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));
set(gca,'YLim',[0.5 length(thetaSHIFT)+0.5])

set(gca,'LineWidth',1,'FontSize',20)
set(gca,'Position',[0.15 0.25 0.2 0.7])

line([0 0],[0 length(thetaSHIFT)+1],'LineWidth',0.5,'Color','k')

xlabel(gca,{'theta frequency';'shift (Hz)'},'FontSize',20)
ylabel(gca,'stim No.','FontSize',20)
%%
CTRLcolor = [105 189 69]./255;

thetadom_PRE_c = [thetadom_PREB;thetadom_PRECTRL;thetadom_PRECTRLB];
thetadom_STIM_c = [thetadom_STIMB;thetadom_STIMCTRL;thetadom_STIMCTRLB];
[~,KSdomtheta] = kstest2(thetadom_PRE_c,thetadom_STIM_c);
[~,Fdomtheta] = vartest2(thetadom_PRE_c,thetadom_STIM_c);
[~,pTdomtheta] = ttest(thetadom_PRE_c,thetadom_STIM_c);
pW = signtest(thetadom_PRE_c,thetadom_STIM_c);

[~,sortindex] = sort(thetadom_PRE_c);
sortindex = flip(sortindex);
figure; hold on
scatter(thetadom_PRE_c(sortindex),1:length(thetadom_PRE_c),120,[0.5 0.5 0.5],'LineWidth',1)
scatter(thetadom_STIM_c(sortindex),1:length(thetadom_STIM_c),120,CTRLcolor,'LineWidth',1)

xtick = [2.5 6];
ytick = [1 length(thetadom_PRE_c)];
set(gca,'XLim',[2.5 6],'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));
set(gca,'LineWidth',1,'FontSize',20)
set(gca,'YLim',[0.5 length(thetadom_PRE_c)+0.5])
set(gca,'Position',[0.15 0.25 0.2 0.7])

xlabel(gca,{'theta dominant';'frequency (Hz)'},'FontSize',20)
ylabel(gca,'stim No.','FontSize',20)

text(10,10,['KS = ' num2str(KSdomtheta)])
text(10,11,['F = ' num2str(Fdomtheta)])
text(10,12,['t = ' num2str(pTdomtheta)])
text(10,12,['signtest = ' num2str(pW)])
%%
thetaSHIFT_c = [thetaSHIFTB;thetaSHIFTCTRL;thetaSHIFTCTRLB];
purplecolor = [204 51 255]./255;
figure; hold on
scatter(thetaSHIFT_c(sortindex),1:length(thetaSHIFT_c),120,purplecolor,'LineWidth',1)

xtick = [-7 0 7];
ytick = [1 length(thetaSHIFT_c)];
set(gca,'XLim',[-7 7],'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));
set(gca,'YLim',[0.5 length(thetaSHIFT_c)+0.5])

set(gca,'LineWidth',1,'FontSize',20)
set(gca,'Position',[0.15 0.25 0.2 0.7])

line([0 0],[0 length(thetaSHIFT_c)+1],'LineWidth',0.5,'Color','k')

xlabel(gca,{'theta frequency';'shift (Hz)'},'FontSize',20)
ylabel(gca,'stim No.','FontSize',20)
%% CHR2 speed-thetafreq
[R, pR] = corr(speedav,thetadom_PRE);
[Rstim, pRstim] = corr(speedav_stim,thetadom_STIM);
[Rpost, pRpost] = corr(speedav_post,thetadom_POST);
figure; hold on

plot(speedav,thetadom_PRE,'Color',[0.5 0.5 0.5],'LineWidth',1,'LineStyle','none','Marker','o','MarkerEdgeColor',[0.5 0.5 0.5],'MarkerFaceColor',[0.5 0.5 0.5],'MarkerSize',16)
plot(speedav_stim,thetadom_STIM,'Color',INCcolor,'LineWidth',1,'LineStyle','none','Marker','o','MarkerEdgeColor',INCcolor,'MarkerFaceColor',INCcolor,'MarkerSize',16)

lsline

text(7,10,['R = ' num2str(R) '; p = ' num2str(pR)],'FontSize',15,'Color',[0.3 0.3 0.3])
text(7,7,['Rstim = ' num2str(Rstim) '; pstim = ' num2str(pRstim)],'FontSize',15,'Color',INCcolor)
text(7,12,['Rpost = ' num2str(Rpost) '; ppost = ' num2str(pRpost)],'FontSize',15,'Color',[0 0 0])

xtick = [4 15 30];
ytick = [5 12];
set(gca,'XLim',[4 30],'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YLim',[4.5 12.5],'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));

set(gca,'LineWidth',1,'FontSize',30)

xlabel(gca,'mean speed (cm/s)','Fontsize',30)
ylabel(gca,{'theta dominant'; 'frequency (Hz)'},'FontSize',30)
%% CTRL speed-thetafreq
toremove = isnan(thetadom_STIMCTRLB);


CTRLcolor = [105 189 69]./255;

[Rc, pRc] = corr([speedavB;speedavCTRL;speedavCTRLB(~toremove)],[thetadom_PREB;thetadom_PRECTRL;thetadom_PRECTRLB(~toremove)]);
[Rstimc, pRstimc] = corr([speedav_stimB;speedav_stimCTRL;speedav_stimCTRLB(~toremove)],[thetadom_STIMB;thetadom_STIMCTRL;thetadom_STIMCTRLB(~toremove)]);
[Rpostc, pRpostc] = corr([speedav_postB;speedav_postCTRL;speedav_postCTRLB(~toremove)],[thetadom_POSTB;thetadom_POSTCTRL;thetadom_POSTCTRLB(~toremove)]);
figure; hold on

plot([speedavB;speedavCTRL;speedavCTRLB(~toremove)],[thetadom_PREB;thetadom_PRECTRL;thetadom_PRECTRLB(~toremove)],'Color',[0.5 0.5 0.5],'LineWidth',1,'LineStyle','none','Marker','o','MarkerEdgeColor',[0.5 0.5 0.5],'MarkerFaceColor',[0.5 0.5 0.5],'MarkerSize',16)
plot([speedav_stimB;speedav_stimCTRL;speedav_stimCTRLB(~toremove)],[thetadom_STIMB;thetadom_STIMCTRL;thetadom_STIMCTRLB(~toremove)],'Color',CTRLcolor,'LineWidth',1,'LineStyle','none','Marker','o','MarkerEdgeColor',CTRLcolor,'MarkerFaceColor',CTRLcolor,'MarkerSize',16)

lsline

text(7,10,['R = ' num2str(Rc) '; p = ' num2str(pRc)],'FontSize',15,'Color',[0.5 0.5 0.5])
text(7,7,['Rstim = ' num2str(Rstimc) '; pstim = ' num2str(pRstimc)],'FontSize',15,'Color',CTRLcolor)
text(7,7,['Rpost = ' num2str(Rpostc) '; ppost = ' num2str(pRpostc)],'FontSize',15,'Color',[0 0 0])

xtick = [4 15 30];
ytick = [5 12];
set(gca,'XLim',[4 30],'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YLim',[4.5 12.5],'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));

set(gca,'LineWidth',1,'FontSize',30)

xlabel(gca,'mean speed (cm/s)','Fontsize',30)
ylabel(gca,{'theta dominant'; 'frequency (Hz)'},'FontSize',30)

%% welch periodogram difference
toremove = all(isnan(welch_diffmeanB)');

INCcolor = [71 88 167]./255;
CTRLcolor = [105 189 69]./255;
fontsize = 30;

CTRL = [welch_diffmeanCTRL; welch_diffmeanB(~toremove,:); welch_diffmeanCTRLB];
xtick = [1 5 12 20 30 40 50 60];

figure; hold on
shadedErrorBar(fWelch(1,:),mean(CTRL),std(CTRL)/sqrt(size(CTRL,1)),'lineProps',{'Color',CTRLcolor,'LineWidth',1.2})

shadedErrorBar(fWelch(1,:),mean(welch_diffmean),std(welch_diffmean)/sqrt(size(welch_diffmean,1)),'lineProps',{'Color',INCcolor,'LineWidth',1.2})

set(gca,'XLim',[1 60],'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'LineWidth',1,'FontSize',fontsize,'YLim',[-15 15],'YTick',[-15 0 15],'YTickLabel',{'-15','0','15'})

line([1 60],[0 0],'Color','k','LineWidth',0.5)


xlabel(gca,'frequency (Hz)','FontSize',fontsize)
ylabel(gca,'power difference (dB)','FontSize',fontsize)
%% #################################################################################################
%% theta power pre-stim
load('INC_homeCage_f25Hz_rem.mat');
nonrem = load('INC_homeCage_f25Hz_nonrem.mat','index','TDR_preIndex','TDR_stimIndex');
nonremindex = nonrem.index;



INCcolor = [71 88 167]./255;
[~,KS] = kstest2(TDR_preIndex,TDR_stimIndex);
[~,F] = vartest2(TDR_preIndex,TDR_stimIndex);
[~,pT] = ttest(TDR_preIndex,TDR_stimIndex);
pW = signtest(TDR_preIndex,TDR_stimIndex);

pWnr = signtest(nonrem.TDR_preIndex,nonrem.TDR_stimIndex);

[~,sortindex] = sort(TDR_pre);
sortindex = flip(sortindex);
figure; hold on
scatter(TDR_pre(sortindex),1:length(TDR_pre),120,[0.5 0.5 0.5],'LineWidth',0.5)

TDR_preSnr = TDR_pre;
TDR_preSnr(~nonremindex) = NaN;
scatter(TDR_preSnr(sortindex),1:length(TDR_pre),100,'k','LineWidth',0.5)


TDR_preS = TDR_pre;
TDR_preS(~index) = NaN;
scatter(TDR_preS(sortindex),1:length(TDR_pre),100,'r','LineWidth',0.5)

scatter(TDR_stim(sortindex),1:length(TDR_stim),120,INCcolor,'LineWidth',0.5)


xtick = [0.1 1 10 25];
ytick = [1 length(TDR_pre)];
set(gca,'XScale','log')
set(gca,'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));
set(gca,'LineWidth',1,'FontSize',20)
set(gca,'YLim',[0.5 length(TDR_pre)+0.5])
set(gca,'XLim',[0.1 25])

line([1 1],[0.5 length(TDR_pre)+0.5],'LineWidth',0.5,'Color','k')

set(gca,'Position',[0.15 0.25 0.4 0.7])

xlabel(gca,{'theta-delta';'ratio'},'FontSize',20)
ylabel(gca,'stim No.','FontSize',20)

% text(10,10,['KS = ' num2str(KS)])
% text(10,11,['F = ' num2str(F)])
% text(10,12,['t = ' num2str(pT)])
text(10,10,['signtest = ' num2str(pW)],'Color','r')
text(10,11,['signtest = ' num2str(pWnr)],'Color','k')

%%
purplecolor = [204 51 255]./255;
figure; hold on
scatter(TDRshift(sortindex),1:length(TDR_pre),100,purplecolor,'LineWidth',0.5)


TDRshift_xx = TDRshift;
TDRshift_xx(~nonremindex) = NaN;
scatter(TDRshift_xx(sortindex),1:length(TDR_pre),100,'k','LineWidth',0.5)


TDRshift_x = TDRshift;
TDRshift_x(~index) = NaN;
scatter(TDRshift_x(sortindex),1:length(TDR_pre),100,'r','LineWidth',0.5)

M = median(TDRshift_x(~isnan(TDRshift_x)));
Mnr = median(TDRshift_xx(~isnan(TDRshift_xx)));

prank = ranksum(TDRshift_x(~isnan(TDRshift_x)),TDRshift_xx(~isnan(TDRshift_xx)));

xtick = [-25 0 5];
ytick = [1 length(TDR_pre)];
set(gca,'LineWidth',1,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'YTick',ytick,'YTickLabel',arrayfun(@num2str,ytick,'UniformOutput',false));
set(gca,'LineWidth',1,'FontSize',20)
set(gca,'YLim',[0.5 length(TDR_pre)+0.5])
set(gca,'XLim',[-25 5])

line([0 0],[0.5 length(TDR_pre)+0.5],'LineWidth',0.5,'Color','k')

set(gca,'Position',[0.15 0.25 0.4 0.7])

xlabel(gca,{'theta-delta';'ratio shift'},'FontSize',20)
ylabel(gca,'stim No.','FontSize',20)

text(10,10,['median = ' num2str(M)],'Color','r')
text(10,11,['median = ' num2str(Mnr)],'Color','k')

text(10,12,['prank = ' num2str(prank)],'Color','k')

%% power pre-stim ratio changes
names = {'INC_linearTrack_f25Hz_runtheta';...
         'INC_homeCage_f25Hz_rem';...
         'INC_homeCage_f25Hz_nonrem';...
         'INC_urethane_f25Hz_theta'};
     
for k = 1:length(names)
    load([names{k} '.mat'],'Ri_stimF','Ri_stimFB','Ri_stimFCTRL','Ri_stimFCTRLB')
    
    data{k} = Ri_stimF;
    
    data_ctr{k} = [Ri_stimFB; Ri_stimFCTRL; Ri_stimFCTRLB];
end

INCcolor = [71 88 167]./255;
CTRLcolor = [105 189 69]./255;

figure; hold on
title('stimF','FontSize',30)
xtick = repmat(2.5,1,length(names));
setx = 0.6;

for k = 1:length(names)
    xtick(k) = xtick(k) + (k-1)*4;
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(mean(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',2)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(mean(data_ctr{k})-std(data_ctr{k})/sqrt(size(data_ctr{k},1)),1,2),'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(mean(data_ctr{k})+std(data_ctr{k})/sqrt(size(data_ctr{k},1)),1,2),'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4-setx],[mean(data_ctr{k})-std(data_ctr{k})/sqrt(size(data_ctr{k},1)) mean(data_ctr{k})+std(data_ctr{k})/sqrt(size(data_ctr{k},1))],'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4+setx 3.2+(k-1)*4+setx],[mean(data_ctr{k})-std(data_ctr{k})/sqrt(size(data_ctr{k},1)) mean(data_ctr{k})+std(data_ctr{k})/sqrt(size(data_ctr{k},1))],'Color',CTRLcolor,'LineWidth',0.5)
    
    
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(mean(data{k}),1,2),'Color',INCcolor,'LineWidth',2)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(mean(data{k})-std(data{k})/sqrt(size(data{k},1)),1,2),'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(mean(data{k})+std(data{k})/sqrt(size(data{k},1)),1,2),'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4-setx],[mean(data{k})-std(data{k})/sqrt(size(data{k},1)) mean(data{k})+std(data{k})/sqrt(size(data{k},1))],'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4+setx 1.8+(k-1)*4+setx],[mean(data{k})-std(data{k})/sqrt(size(data{k},1)) mean(data{k})+std(data{k})/sqrt(size(data{k},1))],'Color',INCcolor,'LineWidth',0.5)
    
    [~,pT] = ttest2(data{k},data_ctr{k});
    text(xtick(k),1,['pt = ' num2str(pT)])
    
end

% set(gca,'Position',[0.25 0.15 0.7 0.3])

fontsize = 30;

set(gca,'LineWidth',1,'Box','off','FontSize',fontsize,'XLim',[0 17])
set(gca,'XTick',xtick,'XTickLabel',cellfun(@(x) flip(strtok(flip(x),'_')),names,'UniformOutput',false))
ylabel(gca,'stim-pre power ratio','FontSize',fontsize)
set(gca,'YLim',[0 5],'YTick',[0 1 2 3 4 5],'YTickLabel',{'0';'1';'2';'3';'4';'5'})
%% welch diff
names = {'INC_linearTrack_f25Hz_runtheta';...
         'INC_homeCage_f25Hz_rem';...
         'INC_homeCage_f25Hz_nonrem';...
         'INC_urethane_f25Hz_theta'};

load('freqWelch.mat')


for k = 1:length(names)
    if k ~= 4
        f1 = knnsearch(freqWelch',28);
        f2 = knnsearch(freqWelch',35);
    else
        f1 = knnsearch(freqWelch',28);
        f2 = knnsearch(freqWelch',35);
    end
    load([names{k} '.mat'],'Wdiffi','WdiffiB','WdiffiCTRL','WdiffiCTRLB')
    
    data{k} = mean(((Wdiffi(:,f1:f2))),2);
    
    data_ctr{k} = mean(([WdiffiB(:,f1:f2); WdiffiCTRL(:,f1:f2); WdiffiCTRLB(:,f1:f2)]),2);
end

INCcolor = [71 88 167]./255;
CTRLcolor = [105 189 69]./255;
figure; hold on
title('beta2up 28-35','FontSize',30)
xtick = repmat(2.5,1,length(names));
setx = 0.6;

for k = 1:length(names)
    xtick(k) = xtick(k) + (k-1)*4;
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(mean(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',2)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(mean(data_ctr{k})-std(data_ctr{k})/sqrt(size(data_ctr{k},1)),1,2),'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(mean(data_ctr{k})+std(data_ctr{k})/sqrt(size(data_ctr{k},1)),1,2),'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4-setx],[mean(data_ctr{k})-std(data_ctr{k})/sqrt(size(data_ctr{k},1)) mean(data_ctr{k})+std(data_ctr{k})/sqrt(size(data_ctr{k},1))],'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4+setx 3.2+(k-1)*4+setx],[mean(data_ctr{k})-std(data_ctr{k})/sqrt(size(data_ctr{k},1)) mean(data_ctr{k})+std(data_ctr{k})/sqrt(size(data_ctr{k},1))],'Color',CTRLcolor,'LineWidth',0.5)
    
    
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(mean(data{k}),1,2),'Color',INCcolor,'LineWidth',2)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(mean(data{k})-std(data{k})/sqrt(size(data{k},1)),1,2),'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(mean(data{k})+std(data{k})/sqrt(size(data{k},1)),1,2),'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4-setx],[mean(data{k})-std(data{k})/sqrt(size(data{k},1)) mean(data{k})+std(data{k})/sqrt(size(data{k},1))],'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4+setx 1.8+(k-1)*4+setx],[mean(data{k})-std(data{k})/sqrt(size(data{k},1)) mean(data{k})+std(data{k})/sqrt(size(data{k},1))],'Color',INCcolor,'LineWidth',0.5)
    
    [~,pT] = ttest2(data{k},data_ctr{k});
    text(xtick(k),1,['pt = ' num2str(pT)])
    
end
% 
% % set(gca,'Position',[0.25 0.15 0.7 0.3])
% 
fontsize = 30;

set(gca,'LineWidth',1,'Box','off','FontSize',fontsize,'XLim',[0 17])
set(gca,'XTick',xtick,'XTickLabel',cellfun(@(x) flip(strtok(flip(x),'_')),names,'UniformOutput',false))
ylabel(gca,'mean power difference (dB)','FontSize',fontsize)
% set(gca,'YLim',[-5 5],'YTick',[-5 0 5],'YTickLabel',{'-5';'0';'5'})
%% dom theta freq shift
names = {'INC_linearTrack_f25Hz_runtheta';...
         'INC_homeCage_f25Hz_rem';...
         'INC_homeCage_f25Hz_nonrem';...
         'INC_urethane_f25Hz_theta'};
     
INCcolor = [71 88 167]./255;
CTRLcolor = [105 189 69]./255;

for k = 1:length(names)
    load([names{k} '.mat'],'thetaSHIFT','thetaSHIFTB','thetaSHIFTCTRL','thetaSHIFTCTRLB')
    
    data{k} = (thetaSHIFT);
    
    data_ctr{k} = ([thetaSHIFTB;thetaSHIFTCTRL;thetaSHIFTCTRLB]);
end
figure; hold on
xtick = repmat(2.5,1,length(names));
setx = 0.6;

for k = 1:length(names)
    xtick(k) = xtick(k) + (k-1)*4;
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(median(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',2)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(median(data_ctr{k})-iqr(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4+setx],repmat(median(data_ctr{k})+iqr(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4-setx 3.2+(k-1)*4-setx],[median(data_ctr{k})-iqr(data_ctr{k}) median(data_ctr{k})+iqr(data_ctr{k})],'Color',CTRLcolor,'LineWidth',0.5)
    
    line([3.2+(k-1)*4+setx 3.2+(k-1)*4+setx],[median(data_ctr{k})-iqr(data_ctr{k}) median(data_ctr{k})+iqr(data_ctr{k})],'Color',CTRLcolor,'LineWidth',0.5)
    
    
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(median(data{k}),1,2),'Color',INCcolor,'LineWidth',2)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(median(data{k})-iqr(data{k}),1,2),'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4+setx],repmat(median(data{k})+iqr(data{k}),1,2),'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4-setx 1.8+(k-1)*4-setx],[median(data{k})-iqr(data{k}) median(data{k})+iqr(data{k})],'Color',INCcolor,'LineWidth',0.5)
    
    line([1.8+(k-1)*4+setx 1.8+(k-1)*4+setx],[median(data{k})-iqr(data{k}) median(data{k})+iqr(data{k})],'Color',INCcolor,'LineWidth',0.5)
    
    pT = ranksum(data{k},data_ctr{k});
    text(xtick(k),1,['pt = ' num2str(pT)])
    
end
% 
% % set(gca,'Position',[0.25 0.15 0.7 0.3])
% 
fontsize = 30;

set(gca,'LineWidth',1,'Box','off','FontSize',fontsize,'XLim',[0 17])
set(gca,'XTick',xtick,'XTickLabel',cellfun(@(x) flip(strtok(flip(x),'_')),names,'UniformOutput',false))
ylabel(gca,'theta frequency shift (Hz)','FontSize',fontsize)


%% dom theta freq change
names = {'INC_linearTrack_f25Hz_runtheta';...
         'INC_homeCage_f25Hz_rem';...
         'INC_homeCage_f25Hz_nonrem';...
         'INC_urethane_f25Hz_theta'};
     
for k = 1:length(names)
    load([names{k} '.mat'],'data_thshift','data_thshiftB','data_thshiftCTRL','data_thshiftCTRLB')
    
    data{k} = (data_thshift);
    
    data_ctr{k} = ([data_thshiftB; data_thshiftCTRL; data_thshiftCTRLB]);
end

INCcolor = [71 88 167]./255;
CTRLcolor = [105 189 69]./255;

figure; hold on
xtick = 1:length(names);
setx = 0.3;

for k = 1:length(names)
    line([k-setx k+setx],repmat(mean(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',2)
    
    line([k-setx k+setx],repmat(mean(data_ctr{k})-std(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',1)
    
    line([k-setx k+setx],repmat(mean(data_ctr{k})+std(data_ctr{k}),1,2),'Color',CTRLcolor,'LineWidth',1)
    
    line([k-setx k-setx],[mean(data_ctr{k})-std(data_ctr{k}) mean(data_ctr{k})+std(data_ctr{k})],'Color',CTRLcolor,'LineWidth',1)
    
    line([k+setx k+setx],[mean(data_ctr{k})-std(data_ctr{k}) mean(data_ctr{k})+std(data_ctr{k})],'Color',CTRLcolor,'LineWidth',1)
    
    
    
    line([k-setx k+setx],repmat(mean(data{k}),1,2),'Color',INCcolor,'LineWidth',2)
    
    line([k-setx k+setx],repmat(mean(data{k})-std(data{k}),1,2),'Color',INCcolor,'LineWidth',1)
    
    line([k-setx k+setx],repmat(mean(data{k})+std(data{k}),1,2),'Color',INCcolor,'LineWidth',1)
    
    line([k-setx k-setx],[mean(data{k})-std(data{k}) mean(data{k})+std(data{k})],'Color',INCcolor,'LineWidth',1)
    
    line([k+setx k+setx],[mean(data{k})-std(data{k}) mean(data{k})+std(data{k})],'Color',INCcolor,'LineWidth',1)
    
    [~,pT] = ttest2(data{k},data_ctr{k});
    text(k,1,['pt = ' num2str(pT)])
end

% set(gca,'Position',[0.25 0.15 0.7 0.3])

fontsize = 30;

% set(gca,'YLim',[-30 20],'LineWidth',1,'Box','off','FontSize',fontsize,'XLim',[0 5])
% set(gca,'YTick',[-30 0 20],'YTickLabel',{'-30','0','20'},'XTick',xtick,'XTickLabel',cellfun(@(x) flip(strtok(flip(x),'_')),names,'UniformOutput',false))
% ylabel(gca,{'theta-delta'; 'ratio shift'},'FontSize',fontsize)


    
















