

%% repair stim detection
for k = 1:size(data_stim,1)
    if ~isempty(data_stim{k,1})
        if max(abs(double(data_stim{k,1}))) > 2*mean(abs(double(data_stim{k,1})))
            [pulseW{k,1}, startloc{k,1}, ~, ~] = pulsewidth(double(data_stim{k,1}),'Tolerance',5,'StateLevels',[mean(double(data_stim{k,1})) mean(double(data_stim{k,1}))+3*std(double(data_stim{k,1}))]);
            stim_Start{k,1} = reshape(round(startloc{k,1}),[],1);
        else
            startloc{k,1} = [];
            stim_Start{k,1} = [];
        end
    end
    if size(data_stim,2)==2
        if ~isempty(data_stim{k,2})
            if max(abs(double(data_stim{k,2}))) > 2*mean(abs(double(data_stim{k,2})))
                [pulseW{k,2}, startloc{k,2}, ~, ~] = pulsewidth(double(data_stim{k,2}),'Tolerance',5,'StateLevels',[mean(double(data_stim{k,2})) mean(double(data_stim{k,2}))+3*std(double(data_stim{k,2}))]);
                stim_Start{k,2} = reshape(round(startloc{k,2}),[],1);
            else
                startloc{k,2} = [];
                stim_Start{k,2} = [];
            end
        end
    end
end
%% get stim epochs
SampRate = 20000;
[epochStart,epochEnd] = andor_pulses_INC(stim_Start,SampRate);

%% 1943: k=1: bad channel

stim_Start{1,1} = [];
startloc{1,1} = [];
pulseW{1,1} = [];
%% 1943 {2,1} stim3 divide into 2 (100+200 pulses)
tempEpochEnd = epochEnd{2,1};
tempEpochEnd = [tempEpochEnd(1:2) 1954583 tempEpochEnd(3:end)];
epochEnd{2,1} = tempEpochEnd;

tempEpochStart = epochStart{2,1};
tempEpochStart = [tempEpochStart(1:3) 1969613 tempEpochStart(4:end)];
epochStart{2,1} = tempEpochStart;

%% 2022{7,1}: stim15 within stim14
% stim14 end: 9097518; stim15 start: 9114747
tempEpochEnd = epochEnd{7,1};
tempEpochEnd = [tempEpochEnd(1:13) 9097518 tempEpochEnd(14:end)];
tempEpochStart = epochStart{7,1};
tempEpochStart = [tempEpochStart(1:14) 9114747 tempEpochStart(15:end)];

epochEnd{7,1} = tempEpochEnd;
epochStart{7,1} = tempEpochStart;

%% 2022{45,1}: stim12 within stim11
% stim11 end: 22615352; stim12 start: 22619517
tempEpochEnd = epochEnd{45,1};
tempEpochEnd = [tempEpochEnd(1:10) 22615352 tempEpochEnd(11:end)];
tempEpochStart = epochStart{45,1};
tempEpochStart = [tempEpochStart(1:11) 22619517 tempEpochStart(12:end)];

epochEnd{45,1} = tempEpochEnd;
epochStart{45,1} = tempEpochStart;

%% 2027{3,1}: stim3 within stim2
% stim2 end: 3082619; stim3 start: 3090452
tempEpochEnd = epochEnd{3,1};
tempEpochEnd = [tempEpochEnd(1) 3082619 tempEpochEnd(2:end)];
tempEpochStart = epochStart{3,1};
tempEpochStart = [tempEpochStart(1:2) 3090452 tempEpochStart(3:end)];

epochEnd{3,1} = tempEpochEnd;
epochStart{3,1} = tempEpochStart;

%%
k=68;
figure; hold on
plot(double(data_stim{k,1}));
for xx = 1:length(stim_Start{k,1})
    line(repmat(stim_Start{k,1}(xx),1,2),[14000 15000],'Color','r')
end

%%
k=68;
figure; hold on
plot(data_stim{k,1})
for xx = 1:length(epochStart{k,1})
    line(repmat(epochStart{k,1}(xx),1,2),[14000 15000],'LineWidth',2,'Color','g')
    line(repmat(epochEnd{k,1}(xx),1,2),[14000 15000],'LineWidth',2,'Color','r')
end
%%
k=68;
for xx = 1:length(epochStart{k,1})
    disp(num2str(xx))
    disp(num2str(length(stim_Start{k,1}(and(stim_Start{k,1}>=epochStart{k,1}(xx),stim_Start{k,1}<=epochEnd{k,1}(xx))))))
    pause
end
%% check camera pulses
k = 5;
figure; hold on
plot(double(data_camCh{k,1}));
for xx = 1:length(camS{k,1})
    line(repmat(camS{k,1}(xx),1,2),[8000 9000],'Color','r')
end













