Stim = {'INC','SEPTUM','BLIND'};
Arena = {'holeBox','linearTrack','newBox','homeCage','urethane'};
Freq = {'f5Hz','f10Hz','f15Hz','f25Hz','f30Hz','f50Hz','TH3_25_5','TH3_50_5','TH3_50_10','TH5_50_5'};
Select = {{'1868','2017','2026','2027','2046'},{'1868','2022','2026','2046'},{'1868','2017','2022','2026','2027','2046'}};
Control = {'1943','1957','1985','2040','2045'};

thSearchBef = 1000;
for s = 1:numel(Stim)
    for a = 1:numel(Arena)
        for f = 1:numel(Freq)
            disp(Freq{f})
            [speedmatrix{s,a,f},eegmatrix{s,a,f},speedindex{s,a,f},speedindex2{s,a,f},eegindex{s,a,f},eegindex2{s,a,f},...
                rowdata{s,a,f},freq{s,a,f},wave{s,a,f},power{s,a,f},scale{s,a,f},pulseIndex{s,a,f},eeg{s,a,f},pyrN{s,a,f},stimIndexA{s,a,f},stimIndexB{s,a,f},...
                posX{s,a,f},posY{s,a,f},posZ{s,a,f},rotX{s,a,f},rotY{s,a,f},rotZ{s,a,f},rotW{s,a,f}] = andor_INCfreemov_STEP4_eeg(Stim{s}, Arena{a}, Freq{f}, Select{s});
            
            
            
            [speedmatrix_ctr{s,a,f},eegmatrix_ctr{s,a,f},speedindex_ctr{s,a,f},speedindex2_ctr{s,a,f},eegindex_ctr{s,a,f},eegindex2_ctr{s,a,f},...
                rowdata_ctr{s,a,f},freq_ctr{s,a,f},wave_ctr{s,a,f},power_ctr{s,a,f},scale_ctr{s,a,f},pulseIndex_ctr{s,a,f},eeg_ctr{s,a,f},pyrN_ctr{s,a,f},stimIndexA_ctr{s,a,f},stimIndexB_ctr{s,a,f},...
                posX_ctr{s,a,f},posY_ctr{s,a,f},posZ_ctr{s,a,f},rotX_ctr{s,a,f},rotY_ctr{s,a,f},rotZ_ctr{s,a,f},rotW_ctr{s,a,f}] = andor_INCfreemov_STEP4_eeg(Stim{s}, Arena{a}, Freq{f}, Control);
            
            
        end
    end
end

