function RUNindex = andor_INCfreemov_runindex(binsize,binnum,speedmatrix,trigger)

% binsize = 0.5; % in sec
binsize = round(binsize*120);
% binnum = 4;
runlimit = 4; % cm/s
prestim_speed = NaN(size(speedmatrix,1),binnum);
for k = 1:binnum;
    for x = 1:size(speedmatrix,1)
        prestim_speed(x,k) = mean(speedmatrix(x,(trigger(x,1)-k*binsize):(trigger(x,1)-(k-1)*binsize-1)));
    end
end
prestim_speed = fliplr(prestim_speed);

RUNindex = all(prestim_speed>runlimit,2);
