%%
% 1.) generate index, eegSample, rowInfo, camSsample, csvSample by
% andor_getNOstimSamples.m (saved in INC_ctrl_#arena#.mat)

% 2.) generate from above variables the speed data: speed2, speed3,
% speedH3, speedH3SG by andor_getNOstimSamples_SPEED, and saved in the same
% file (INC_ctrl_#arena#.mat)
%% 3.) generate random artificial stim loci, where the speed is more than a given value (function #2; use f #1 for setting speed between two values)
% [ctrlstim,ctrlSTART,ctrlEND,ctrlstimCSV,ctrlSTARTCSV,ctrlENDCSV] = andor_INCfreemoc_rnd_ctrl2('linearTrack',9,[0 4 8 12 16 20]);
%% (f #1)
[ctrlstim,ctrlSTART,ctrlEND,ctrlstimCSV,ctrlstimSPEED,ctrlSTARTCSV,ctrlENDCSV] = andor_INCfreemoc_rnd_ctrl('holeBox',9,[4 8 12 16 20]);
%% 4.)
for x = 1:length(ctrlstimCSV)
    
    b = 0;
    for k = 1:size(speedH3SG,1)
        for kk = 1:size(speedH3SG,2)
            if ~isempty(speedH3SG{k,kk})
                
                if and(~isnan(ctrlSTARTCSV{x,1}(k,kk)),~isnan(ctrlENDCSV{x,1}(k,kk)))
                    b = b+1;
                    speedCTRL_PRE{x,1}{b,1} = speedH3SG{k,kk}(ctrlSTARTCSV{x,1}(k,kk):ctrlstimCSV{x,1}(k,kk));
                    speedCTRL_PRE{x,1}{b,1} = speedCTRL_PRE{x,1}{b,1}(1:end-1);
                    speedCTRL_POST{x,1}{b,1} = speedH3SG{k,kk}(ctrlstimCSV{x,1}(k,kk):ctrlENDCSV{x,1}(k,kk)-1);
                    
                    speedCTRLname{x,1}{b,1} = rowInfo{k,1};
                    speedCTRLname{x,1}{b,2} = kk;
                end
                
            end
        end
    end
end
%% 5.)
for k = 1:size(speedCTRL_PRE,1)
    maxPRE(k) = max(cellfun(@length,speedCTRL_PRE{k,1}));
end
maxPRE = max(maxPRE);

for k = 1:size(speedCTRL_POST,1)
    maxPOST(k) = max(cellfun(@length,speedCTRL_POST{k,1}));
end
maxPOST = max(maxPOST);

for k = 1:size(speedCTRL_PRE,1)
    speedCTRL_PREmatrix{k,1} = NaN(size(speedCTRL_PRE{k,1},1),maxPRE);
    for r = 1:size(speedCTRL_PRE{k,1},1)
        speedCTRL_PREmatrix{k,1}(r,end-length(speedCTRL_PRE{k,1}{r,1})+1:end) = speedCTRL_PRE{k,1}{r,1};
    end
    
    speedCTRL_POSTmatrix{k,1} = NaN(size(speedCTRL_POST{k,1},1),maxPOST);
    for r = 1:size(speedCTRL_POST{k,1},1)
        speedCTRL_POSTmatrix{k,1}(r,1:length(speedCTRL_POST{k,1}{r,1})) = speedCTRL_POST{k,1}{r,1};
    end
    
    speedCTRLmatrix{k,1} = [speedCTRL_PREmatrix{k,1} speedCTRL_POSTmatrix{k,1}];
end
%%
save('INC_holeBox_CTRL_BETWEEN_MATRIX.mat','-v7.3')






%% select animals
select = {{'1868','2017','2026','2027','2046'},{'1868','2022','2026','2046'},{'2040','2045'},{'1943','1957','1985'}...
    {'1868','2017','2022','2026','2027','2046'}};
selectname = {'goodINC','goodSEPTUM','control','novirus','all'};


%%
selection = select{1};
halfwidth = NaN(size(speedCTRLmatrix,1),numel(selection));
peaksize = NaN(size(speedCTRLmatrix,1),numel(selection));
for k = 1:size(speedCTRLmatrix,1)
    Tmatrix = speedCTRLmatrix{k,1};
%     Tselect = ismember(cellfun(@(x) str2num(x(1:4)),speedCTRLname{k,1}(:,1)), cellfun(@str2num,selection));
%     Tmatrix = Tmatrix(Tselect,:);
    
    for nn = 1:numel(selection)
        animalName{k,nn} = selection{nn};
        T = cellfun(@(x) ~isempty(strfind(x,selection{nn})),speedCTRLname{k,1}(:,1));
        animalTmatrix{k,nn} = Tmatrix(T,:);
        
        t = animalTmatrix{k,nn};
        temp = mean(t);
        tempCUT = temp(:,2:end-1);
        
        % baseline measured between PRE STIM from -5 s to -4 s (total matrix size: +-9s):
        baseline = mean(tempCUT(round(4*end/18):5*round(end/18)));
        % max calculated +-2 s around artificial STIM:
        tht = temp(round(7*end/18:round(11*end/18)));
        % threshold at 75% between baseline and max:
        threshold = (3*max(tht) + baseline)/4;
        
        if threshold > 1.1*baseline
            [xint{k,nn}, yint{k,nn}] = polyxpoly(1:size(tht,2),tht,1:size(tht,2),repmat(threshold,1,size(tht,2)));
%             xint{k,nn} = xint{k,nn} + 1;
            
            if numel(xint{k,nn}) == 2
                halfwidth(k,nn) = diff(xint{k,nn});
                peaksize(k,nn) = max(tht);
            end
        end
    end
    xtime{k,1} = ((1:size(Tmatrix,2)) - (maxPRE+1))./120;
end
%% check halfwidth
for k = 1:6
    for nn = 1:5
        figure('NumberTitle','off','Name',[num2str(k) '    ' num2str(nn)]); plot(mean(animalTmatrix{k,nn})); hold on
        
        dist = (7*size(animalTmatrix{k,nn},2))/18;     % 7*end/18
        line(xint{k,nn}+dist,yint{k,nn},'LineWidth',2,'Color','r')
        pause
    end
end

%% not important now
%     
%     meanSpeedCTRLm(k,:) = mean(Tmatrix);
%     
%     temp = meanSpeedCTRLm(k,2:end-1);
%     % baseline measured between PRE STIM from -5 s to -4 s (total matrix size: +-9s
%     baseline = mean(temp(round(4*end/18):5*round(end/18)));
% %     baseline = 0;
%     % max calculated +-2 s around artificial STIM
%     threshold = (max(temp(round(7*end/18:round(11*end/18)))) + baseline)*0.5;
%     if threshold > 1.1*baseline
%         [xint{k,1}, yint{k,1}] = polyxpoly(1:size(meanSpeedCTRLm,2)-2,meanSpeedCTRLm(k,2:end-1),1:size(meanSpeedCTRLm,2)-2,repmat(threshold,1,size(meanSpeedCTRLm,2)-2));
%         xint{k,1} = xint{k,1} + 1;
%         if numel(xint{k,1})==2
%             halfwidth(k,1) = diff(xint{k,1});
%         else
%             halfwidth(k,1) = NaN;
%         end
%     else
%         halfwidth(k,1) = NaN;
%     end
% end
% 
% xtime = ((1:size(meanSpeedCTRLm,2)) - (maxPRE+1))./120;
%%

figure; 
ax(1) = subplot(1,3,1);
imagesc(xtime,1:size(meanSpeedCTRLm,1),meanSpeedCTRLm,'AlphaData',~isnan(meanSpeedCTRLm));
hold on;
line([0 0], [0.5 6.5],'LineWidth',1.5,'Color','w','LineStyle','--')
set(ax(1),'YDir','normal','Clim',[0 30],'FontSize',20,'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'},'XLim',[-5 5])

ax(2) = subplot(1,3,2);
scatter(cellfun(@(x) size(x,1),speedCTRLmatrix),1:6,120,[0.5 0.5 0.5],'LineWidth',2);
set(ax(2),'LineWidth',3,'FontSize',20,'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'},'XLim',[0 1000])

ax(3) = subplot(1,3,3);
scatter(halfwidth/120,1:6,120,[0.5 0.5 0.5],'LineWidth',2);
set(ax(3),'LineWidth',3,'FontSize',20,'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'},'XLim',[0 4])

linkaxes(ax,'y')

