function andor_INC_step4_DRAWcfc(pre, stim, pre_CTRL, stim_CTRL,maxp)

INCcolor = [0 51 204]./255;


figure; hold on
for k = 1:size(pre,1)
    plot([1 1.4],[pre(k,1), stim(k,1)],'Color',INCcolor,'Marker','o','MarkerEdgeColor',INCcolor,'MarkerFaceColor',INCcolor,'MarkerSize',8,'LineWidth',.3)

end

set(gca,'XLim',[0.8 1.6],'XTick',[],'YLim',[0 maxp],'YTick',[0 maxp],'YTickLabel',{'0',num2str(maxp)},'FontSize',20)

line([0.9 1.1],[median(pre) median(pre)],'LineWidth',6,'Color',[.5 .5 .5])
line([1.3 1.5],[median(stim) median(stim)],'LineWidth',6,'Color',[.5 .5 .5])

set(gca,'Position',[0.1 0.1 0.3 0.8])
text(1,0.005,num2str(signrank(pre, stim)),'FontSize',20)

%
figure; hold on
for k = 1:size(pre_CTRL,1)
    plot([1 1.4],[pre_CTRL(k,1), stim_CTRL(k,1)],'Color','k','Marker','o','MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',8,'LineWidth',.3)

end

set(gca,'XLim',[0.8 1.6],'XTick',[],'YLim',[0 maxp],'YTick',[0 maxp],'YTickLabel',{'0',num2str(maxp)},'FontSize',20)

line([0.9 1.1],[median(pre_CTRL) median(pre_CTRL)],'LineWidth',6,'Color',[.5 .5 .5])
line([1.3 1.5],[median(stim_CTRL) median(stim_CTRL)],'LineWidth',6,'Color',[.5 .5 .5])

set(gca,'Position',[0.1 0.1 0.3 0.8])
text(1,0.005,num2str(signrank(pre_CTRL, stim_CTRL)),'FontSize',20)
