function andor_INC_step4_DRAWperiodo(pWelch_pre, pWelch_stim, pWelch_pre_CTRL, pWelch_stim_CTRL, freqwelch)

INCcolor = [0 51 204]./255;
xtick = [1 5 12 30 45 60 100];
fontsize = 20;

figure; hold on
INC = 10*log10(pWelch_stim./pWelch_pre);
CTRL = 10*log10(pWelch_stim_CTRL./pWelch_pre_CTRL);

shadedErrorBar(freqwelch,mean(CTRL),std(CTRL)/sqrt(size(CTRL,1)),'lineProps',{'Color','k','LineWidth',0.5})

shadedErrorBar(freqwelch,mean(INC),std(INC)/sqrt(size(INC,1)),'lineProps',{'Color',INCcolor,'LineWidth',0.5})

set(gca,'XLim',[1 100],'LineWidth',.5,'Box','off','XTick',xtick,'XTickLabel',arrayfun(@num2str,xtick,'UniformOutput',false))
set(gca,'LineWidth',1,'FontSize',fontsize,'YLim',[-6 12],'YTick',[-6 0 12],'YTickLabel',{'-6','0','12'})
xlabel(gca,'frequency (Hz)','FontSize',fontsize)
ylabel(gca,'power (log)','FontSize',fontsize)
