% load experiment data
experiment = '2045';
folder = uigetdir;
load(['INC_' experiment '_pulsedetect.mat'],'XLS','epochStart');
load(['INC_' experiment '_speed.mat'],'stimIndex','infoCell')
harmhalf = 5;

for k = 1:size(infoCell,1)
    disp(num2str(k))
    datfileName = fullfile(folder,[infoCell{k,1} '.dat']);
    metafileName = fullfile(folder,[infoCell{k,1} '.meta']);
    
    [eegSample{k,1},channelOrder{k,1}] = andor_INCfreemov_getSamples_repair(infoCell{k,1},datfileName,metafileName,XLS,epochStart,stimIndex{k,1});

end

save(['INC_' experiment '_speed.mat'],'eegSample','channelOrder','-append')


