ind2max = max(stimIndex(:,2));
for k = 1:size(stimIndex,1)
    if stimIndex(k,2)<ind2max
        stimIndex2(k,:) = stimIndex(k,:)+(ind2max-stimIndex(k,2));
    else
        stimIndex2(k,:) = stimIndex(k,:);
    end
end

% create matrix
Matrix = NaN(size(stimIndex2,1),max(stimIndex2(:,end)));
for k =1:size(Matrix,1)
    temp = eeg{k,1}(:,8);
    bvar = fir1(2048, [5/(1000/2) 12/(1000/2)]);
    temp = filtfilt(bvar,1,temp);
    temp = abs(hilbert(temp));
    if length(temp)>stimIndex2(k,end)-stimIndex2(k,1)+1
        temp = temp(1:(stimIndex2(k,end)-stimIndex2(k,1)+1));
    end
    Matrix(k,stimIndex2(k,1):stimIndex2(k,end))=temp;
end

%%
imageNAN = true(size(Matrix));
imageNAN(isnan(Matrix)) = false;
imagesc(Matrix,'AlphaData',imageNAN);

% figure('NumberTitle','off','Name',[experiment '   ' askArena '   ' askFreq '   ' askStim]); hold on
% 
% imagesc(1:size(speedMatrix,2)/120,1:size(speedMatrix,1),speedMatrix,'AlphaData',imageNAN);
% colormap('hot')
% 
% line(repmat(min(GETcsvIndex(:,3))/120,1,2),[0.5 size(GETcsvIndex,1)+0.5],'LineWidth',3,'Color','b')
% line(repmat(max(GETcsvIndex(:,4))/120,1,2),[0.5 size(GETcsvIndex,1)+0.5],'LineWidth',3,'Color','b')
% colorbar
% title([experiment '   ' askArena '   ' askFreq '   ' askStim],'Interpreter','none')
%%
ind2max = max(csvIndex(:,2));
csvIndex2 = [];
for k = 1:size(csvIndex,1)
    if csvIndex(k,2)<ind2max
        csvIndex2(k,:) = csvIndex(k,:)+(ind2max-csvIndex(k,2));
    else
        csvIndex2(k,:) = csvIndex(k,:);
    end
end

% create matrix
Matrix = NaN(size(csvIndex2,1),max(csvIndex2(:,end)));
for k =1:size(Matrix,1)
    temp = speed{k,1};
    if length(temp)>csvIndex2(k,end)-csvIndex2(k,1)
        temp = temp(1:(csvIndex2(k,end)-csvIndex2(k,1)));
    end
    Matrix(k,csvIndex2(k,1):csvIndex2(k,end)-1)=temp;
end
%%
imageNAN = true(size(Matrix));
imageNAN(isnan(Matrix)) = false;
figure; imagesc(Matrix,'AlphaData',imageNAN); colormap('hot')


%% get pyr layer
k = 56;
temp = eeg{k,1};
bvar = fir1(2048,[150/(1000/2) 250/(1000/2)]);
for xx = 1:size(temp,2)
    temp(:,xx) = filtfilt(bvar,1,temp(:,xx));
%     temp(:,xx) = abs(hilbert(temp(:,xx)));
end
%% speed3HSG

% remove NAN rows
toremove = false(size(csvIndex,1),1);
for k = 1:size(csvIndex,1)
    if all(isnan(speed{k,1}(csvIndex(k,3):csvIndex(k,4))))
        toremove(k) = true;
    end
end
speed = speed(~toremove,:);
speed2 = speed2(~toremove,:);
pulseIndex = pulseIndex(~toremove,:);
eeg = eeg(~toremove,:);
rowInfo = rowInfo(~toremove,:);
csvIndex = csvIndex(~toremove,:);
stimIndex = stimIndex(~toremove,:);

% control1 = {'1943','1957','1985'};
% control2 ={'2040','2045'};
% goodINC = {'1868','2017','2026','2027','2046'};
% 
% control1index = false(size(rowInfo,1),1);
% for k = 1:length(control1index)
%     temp = NaN(1,numel(control1));
%     for xx = 1:numel(control1)
%     a = strfind(rowInfo{k,1},control1{xx});
%     if ~isempty(a)
%         temp(xx) = a;
%     end
%     end
%     if any(~isnan(temp))
%         control1index(k) = true;
%     end
% end
% 
% control2index = false(size(rowInfo,1),1);
% for k = 1:length(control2index)
%     temp = NaN(1,numel(control2));
%     for xx = 1:numel(control2)
%     a = strfind(rowInfo{k,1},control2{xx});
%     if ~isempty(a)
%         temp(xx) = a;
%     end
%     end
%     if any(~isnan(temp))
%         control2index(k) = true;
%     end
% end
% 
% goodINCindex = false(size(rowInfo,1),1);
% for k = 1:length(goodINCindex)
%     temp = NaN(1,numel(goodINC));
%     for xx = 1:numel(goodINC)
%     a = strfind(rowInfo{k,1},goodINC{xx});
%     if ~isempty(a)
%         temp(xx) = a;
%     end
%     end
%     if any(~isnan(temp))
%         goodINCindex(k) = true;
%     end
% end

ind2max = max(csvIndex(:,2));
csvIndex2 = [];
for k = 1:size(csvIndex,1)
    if csvIndex(k,2)<ind2max
        csvIndex2(k,:) = csvIndex(k,:)+(ind2max-csvIndex(k,2));
    else
        csvIndex2(k,:) = csvIndex(k,:);
    end
end

% create matrix
Matrix = NaN(size(csvIndex2,1),max(csvIndex2(:,end)));
for k =1:size(Matrix,1)
    temp = speed{k,1};
    if length(temp)>csvIndex2(k,end)-csvIndex2(k,1)
        temp = temp(1:(csvIndex2(k,end)-csvIndex2(k,1)));
    end
    Matrix(k,csvIndex2(k,1):csvIndex2(k,end)-1)=temp;
end

imageNAN = true(size(Matrix));
imageNAN(isnan(Matrix)) = false;
figure('NumberTitle','off','Name','BLIND LINEAR TRACK 25Hz CTRL2');

tMatrix = Matrix(control2index,:);
timageNAN = imageNAN(control2index,:);
ax(1) = subplot(2,1,1);
imagesc([1:size(tMatrix,2)]/120,1:size(tMatrix,1),tMatrix,'AlphaData',timageNAN);
line(repmat(min(csvIndex2(:,3))/120,1,2),[0.5 size(csvIndex2,1)+0.5],'LineWidth',3,'Color','r')
line(repmat(max(csvIndex2(:,4))/120,1,2),[0.5 size(csvIndex2,1)+0.5],'LineWidth',3,'Color','r')

ax(2) = subplot(2,1,2);
plot([1:size(tMatrix,2)]/120,mean(tMatrix))
line(repmat(min(csvIndex2(:,3))/120,1,2),[min(mean(tMatrix)) max(mean(tMatrix))],'LineWidth',3,'Color','r')
line(repmat(max(csvIndex2(:,4))/120,1,2),[min(mean(tMatrix)) max(mean(tMatrix))],'LineWidth',3,'Color','r')

linkaxes(ax,'x')


figure('NumberTitle','off','Name','BLIND LINEAR TRACK 25Hz ChR2');

tMatrix = Matrix(goodINCindex,:);
timageNAN = imageNAN(goodINCindex,:);
ax(1) = subplot(2,1,1);
imagesc([1:size(tMatrix,2)]/120,1:size(tMatrix,1),tMatrix,'AlphaData',timageNAN);
line(repmat(min(csvIndex2(:,3))/120,1,2),[0.5 size(csvIndex2,1)+0.5],'LineWidth',3,'Color','r')
line(repmat(max(csvIndex2(:,4))/120,1,2),[0.5 size(csvIndex2,1)+0.5],'LineWidth',3,'Color','r')

ax(2) = subplot(2,1,2);
plot([1:size(tMatrix,2)]/120,mean(tMatrix))
line(repmat(min(csvIndex2(:,3))/120,1,2),[min(mean(tMatrix)) max(mean(tMatrix))],'LineWidth',3,'Color','r')
line(repmat(max(csvIndex2(:,4))/120,1,2),[min(mean(tMatrix)) max(mean(tMatrix))],'LineWidth',3,'Color','r')

linkaxes(ax,'x')
%% SUPP FIG P1
%% #1A get speed for diff stimulations
Stim = {'BLIND','INC','INCAlu','SEPTUM','SEPTUMAlu'};
Arena = {'holeBox','homeCage','linearTrack','newBox'};
Freq = {'f1Hz','f5Hz','f10Hz','f15Hz','f25Hz','f30Hz','f50Hz','TH3_20_5','TH3_25_5','TH3_50_5','TH3_50_10','TH5_50_5'};
select = {{'1868','2017','2026','2027','2046'},{'1868','2022','2026','2046'},{'2040','2045'},{'1943','1957','1985'}...
    {'1868','2017','2022','2026','2027','2046'},{'1868','1943','1957','1985','2017','2022','2026','2027','2040','2045','2046'}};
selectname = {'goodINC','goodSEPTUM','control','novirus','all','full'};

for k = 1:length(Freq)
    [matrix{k,1}, index{k,1}, ~, animalName{k,1}, animalMatrix{k,1}, animalIndex{k,1}] = andor_INCfreemov_STEP3_f1(Stim{1}, Arena{4}, Freq{k}, [select{3} select{4}], selectname{1});
    
    [halfwidth{k,1},peaksize{k,1},peakdist{k,1},Tmatrix{k,1},xtime{k,1},selection{k,1}] = andor_INCfreemov_STEP3_f2(animalName{k,1}, animalMatrix{k,1}, animalIndex{k,1},[0 4 8 12 16 20]);
end
%% #1B get epochs with no stim from files
[halfwidth_CTRL,peaksize_CTRL,peakdist_CTRL,animalTmatrix_CTRL,xtime_CTRL,selection_CTRL] = andor_INC_CTRLSTIM_main_f1(Arena{4}, [select{3} select{4}]);
%% #1C compare halfwidth and time to peak (blue and green plots)
% blue
FreqColor = [25 23 76;40 41 115;43 49 139;53 70 151;77 105 177;109 145 203;76 134 198;140 204 240;176 196 221;111 104 175;72 61 139;77 42 124];
% green
FreqColor = [38 140 67;86 107 48;127 129 51;107 143 60;81 184 72;105 189 69;144 199 62;179 211 52;157 208 138;59 178 113;45 139 87;23 101 51];
FreqColor = FreqColor./255;

figure;
ax(1) = subplot(1,3,1); hold on
for k = 2:12
    if ~isempty(halfwidth{k,1})
        plot(mean(halfwidth{k,1},2)./120,1:6,'Color',FreqColor(k,:),'LineWidth',2,'Marker','.','MarkerSize',30)
    end
end
plot(mean(halfwidth_CTRL,2)./120,1:6,'Color',[100/255 100/255 100/255],'LineWidth',3,'Marker','o','MarkerSize',10,'MarkerFaceColor',[1 1 1])
set(ax(1),'LineWidth',2,'XLim',[0, 2],'XTick',[0 1 2],'XTickLabel',{'0','1','2'},'YLim',[0.5 6.5],'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'},'FontSize',20)
xlabel(ax(1),'peak width (s)','FontSize',20)
ylabel(ax(1),'speed offset (cm/s)','FontSize',20)

ax(2) = subplot(1,3,2); hold on
for k = 2:12
    if ~isempty(halfwidth{k,1})
        Hp = NaN(1,6);
        for kk = 1:6
            if sum(~isnan(halfwidth{k,1}(kk,:)))>1
                try
                    Hp(kk) = ranksum(halfwidth_CTRL(kk,:),halfwidth{k,1}(kk,:));
                catch
                end
            end
            
        end
        plot(Hp,1:6,'Color',FreqColor(k,:),'LineWidth',2,'LineWidth',2,'Marker','.','MarkerSize',30);
        
    end
end
line([0.05 0.05],[0.5 6.5],'LineStyle','--','LineWidth',2,'Color',[1 0 0])
set(ax(2),'LineWidth',2,'XScale','log','XMinorTick','off','XLim',[0.0001, 1],'XTick',[0.0001 0.001 0.05 1],'XTickLabel',{'0','0.001','0.05','1'},'YLim',[0.5 6.5],'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'},'FontSize',20)
xlabel(ax(2),['difference from artificial stim (\itp-\rmvalue)'],'FontSize',20)

ax(3) = subplot(1,3,3); hold on
for k = 2:12
    if ~isempty(peakdist{k,1})
        for kk = 1:6
            plot(mean(peakdist{k,1},2)./120,1:6,'Color',FreqColor(k,:),'LineWidth',2,'LineWidth',2,'Marker','.','MarkerSize',30)
%             scatter(peakdist{k,1}(kk,:)./120,repmat(kk,1,size(peakdist{k,1},2)),120,FreqColor(k,:),'LineWidth',2)
        end
    end
end
line([0 0],[0.5 6.5],'LineStyle','--','LineWidth',2,'Color',[1 0 0])
set(ax(3),'LineWidth',2,'XLim',[-1, 1],'XTick',[-1 0 1],'XTickLabel',{'-1','0','1'},'YLim',[0.5 6.5],'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'},'FontSize',20)
xlabel(ax(3),'time to peak (s)','FontSize',20)

set(gcf,'Position',[1 1 1200 300])
%% #2A data for all stim freq evoked speed changes (color matrices)
for k = 1:length(Freq)
    [CmatrixINC{k,1}, CindexINC{k,1}, CindexINC2{k,1}, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{2}, Arena{4}, Freq{k}, select{1}, selectname{1});
    [CmatrixSEP{k,1}, CindexSEP{k,1}, CindexSEP2{k,1}, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{4}, Arena{4}, Freq{k}, select{2}, selectname{2});
    [CmatrixBLI{k,1}, CindexBLI{k,1}, CindexBLI2{k,1}, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{1}, Arena{4}, Freq{k}, select{5}, selectname{5});
    
    [CmatrixINCCTR{k,1}, CindexINCCTR{k,1}, CindexINCCTR2{k,1}, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{2}, Arena{4}, Freq{k}, [select{3} select{4}], selectname{3});
    [CmatrixSEPCTR{k,1}, CindexSEPCTR{k,1}, CindexSEPCTR2{k,1}, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{4}, Arena{4}, Freq{k}, [select{3} select{4}], selectname{3});
    [CmatrixBLICTR{k,1}, CindexBLICTR{k,1}, CindexBLICTR2{k,1}, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{1}, Arena{4}, Freq{k}, [select{3} select{4}], selectname{3});
end
%% #2B modify for the given arena and chr2/yfp condition
allmeanINCCTR = NaN(size(CmatrixINCCTR,1),8*120+1);
meanstimspeed = NaN(size(CmatrixINCCTR,1),1);
for k = 2:size(CmatrixINCCTR,1)
    if ~isempty(CmatrixINCCTR{k,1})
        if size(CmatrixINCCTR{k,1},1) > 1
            temp = mean(CmatrixINCCTR{k,1});
            if (min(CindexINCCTR{k,1})-4*120) > 0
                allmeanINCCTR(k,:) = temp((min(CindexINCCTR{k,1})-4*120):(min(CindexINCCTR{k,1})+4*120));
            elseif (min(CindexINCCTR{k,1})-4*120) == 0
                allmeanINCCTR(k,:) = temp((min(CindexINCCTR{k,1})-4*120)+1:(min(CindexINCCTR{k,1})+4*120)+1);
            end
        end
    end
end
%% #2C create the figure
imageNAN = true(size(allmeanINCCTR));
imageNAN(isnan(allmeanINCCTR)) = false;
figure; hold on;
imagesc(((1:size(allmeanINCCTR,2))-4*120+1)/120,1:size(allmeanINCCTR,1),allmeanINCCTR,'AlphaData',imageNAN);
set(gca,'FontSize',20,'CLim',[0 30],'YDir','reverse','YLim',[1.5 12.5],'XLim',[-4 4],'YTick',[2:12],'YTickLabel',Freq(2:end),'XTick',[-4 0 4],'XTickLabel',{'-4','0','4'})
line([0 0],[1.5 12.5],'Color','w','LineWidth',2,'LineStyle','--')

% a = colorbar; set(a,'FontSize',20,'YTick',[0 30],'YTickLabel',{'0','30'})
%% #3A 25 Hz sample plots for inc, septum and blind stim, chr2 and yfp conditions for a given arena (!)
[matrixINC, indexINC, indexINC2, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{2}, Arena{4}, Freq{5}, select{1}, selectname{1});
[matrixSEP, indexSEP, indexSEP2, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{4}, Arena{4}, Freq{5}, select{2}, selectname{2});
[matrixBLI, indexBLI, indexBLI2, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{1}, Arena{4}, Freq{5}, select{5}, selectname{5});

[matrixINCCTR, indexINCCTR, indexINCCTR2, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{2}, Arena{4}, Freq{5}, [select{3} select{4}], selectname{3});
[matrixSEPCTR, indexSEPCTR, indexSEPCTR2, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{4}, Arena{4}, Freq{5}, [select{3} select{4}], selectname{3});
[matrixBLICTR, indexBLICTR, indexBLICTR2, ~, ~, ~] = andor_INCfreemov_STEP3_f1(Stim{1}, Arena{4}, Freq{5}, [select{3} select{4}], selectname{3});
%% #3B create the figures
figure('NumberTitle','off','Name','25Hz INC SEPTUM BLIND average');

ax(1) = subplot(1,3,1); hold on
% INC control
SEM = std(matrixINCCTR);
for x = 1:length(SEM)
    SEM(x) = SEM(x)/sqrt(sum(~isnan(matrixINCCTR(:,x))));
end
plot([1:size(matrixINCCTR,2)]/120-min(indexINCCTR)/120,mean(matrixINCCTR)+SEM,'LineStyle','-','Color',[161 217 137]./255,'LineWidth',1)
plot([1:size(matrixINCCTR,2)]/120-min(indexINCCTR)/120,mean(matrixINCCTR)-SEM,'LineStyle','-','Color',[161 217 137]./255,'LineWidth',1)
plot([1:size(matrixINCCTR,2)]/120-min(indexINCCTR)/120,mean(matrixINCCTR),'Color',[105 189 69]./255,'LineWidth',2)

% INC chr2
SEM = std(matrixINC);
for x = 1:length(SEM)
    SEM(x) = SEM(x)/sqrt(sum(~isnan(matrixINC(:,x))));
end
plot([1:size(matrixINC,2)]/120-min(indexINC)/120,mean(matrixINC)+SEM,'LineStyle','-','Color',[138 160 219]./255,'LineWidth',1)
plot([1:size(matrixINC,2)]/120-min(indexINC)/120,mean(matrixINC)-SEM,'LineStyle','-','Color',[138 160 219]./255,'LineWidth',1)
plot([1:size(matrixINC,2)]/120-min(indexINC)/120,mean(matrixINC),'Color',[77 105 177]./255,'LineWidth',2)

line([0 0],[0 30],'LineWidth',2,'Color','r','LineStyle','--')
line(repmat((max(indexINC2)-min(indexINC))/120,1,2),[0 30],'LineWidth',2,'Color','r','LineStyle','--')

set(ax(1),'LineWidth',2,'FontSize',20,'XLim',[-4 8],'XTick',[-4 0 4 8],'XTickLabel',{'-4','0','4','8'},'YLim',[0 30],'YTick',[0 10 20 30],'YTickLabel',{'0','10','20','30'})
xlabel(ax(1),'relative time (s)','FontSize',20)
ylabel(ax(1),'speed (cm/s)','FontSize',20)
title(ax(1),'INCERTUS','FontSize',20)


ax(2) = subplot(1,3,2); hold on
% SEPTUM control
SEM = std(matrixSEPCTR);
for x = 1:length(SEM)
    SEM(x) = SEM(x)/sqrt(sum(~isnan(matrixSEPCTR(:,x))));
end
plot([1:size(matrixSEPCTR,2)]/120-min(indexSEPCTR)/120,mean(matrixSEPCTR)+SEM,'LineStyle','-','Color',[161 217 137]./255,'LineWidth',1)
plot([1:size(matrixSEPCTR,2)]/120-min(indexSEPCTR)/120,mean(matrixSEPCTR)-SEM,'LineStyle','-','Color',[161 217 137]./255,'LineWidth',1)
plot([1:size(matrixSEPCTR,2)]/120-min(indexSEPCTR)/120,mean(matrixSEPCTR),'Color',[105 189 69]./255,'LineWidth',2)

% SEPTUM chr2
SEM = std(matrixSEP);
for x = 1:length(SEM)
    SEM(x) = SEM(x)/sqrt(sum(~isnan(matrixSEP(:,x))));
end
plot([1:size(matrixSEP,2)]/120-min(indexSEP)/120,mean(matrixSEP)+SEM,'LineStyle','-','Color',[138 160 219]./255,'LineWidth',1)
plot([1:size(matrixSEP,2)]/120-min(indexSEP)/120,mean(matrixSEP)-SEM,'LineStyle','-','Color',[138 160 219]./255,'LineWidth',1)
plot([1:size(matrixSEP,2)]/120-min(indexSEP)/120,mean(matrixSEP),'Color',[77 105 177]./255,'LineWidth',2)

line([0 0],[0 30],'LineWidth',2,'Color','r','LineStyle','--')
line(repmat((max(indexSEP2)-min(indexSEP))/120,1,2),[0 30],'LineWidth',2,'Color','r','LineStyle','--')

set(ax(2),'LineWidth',2,'FontSize',20,'XLim',[-4 8],'XTick',[-4 0 4 8],'XTickLabel',{'-4','0','4','8'},'YLim',[0 30],'YTick',[0 10 20 30],'YTickLabel',{'0','10','20','30'})
xlabel(ax(2),'relative time (s)','FontSize',20)
title(ax(2),'SEPTUM','FontSize',20)


ax(3) = subplot(1,3,3); hold on
% BLIND control
SEM = std(matrixBLICTR);
for x = 1:length(SEM)
    SEM(x) = SEM(x)/sqrt(sum(~isnan(matrixBLICTR(:,x))));
end
plot([1:size(matrixBLICTR,2)]/120-min(indexBLICTR)/120,mean(matrixBLICTR)+SEM,'LineStyle','-','Color',[161 217 137]./255,'LineWidth',1)
plot([1:size(matrixBLICTR,2)]/120-min(indexBLICTR)/120,mean(matrixBLICTR)-SEM,'LineStyle','-','Color',[161 217 137]./255,'LineWidth',1)
plot([1:size(matrixBLICTR,2)]/120-min(indexBLICTR)/120,mean(matrixBLICTR),'Color',[105 189 69]./255,'LineWidth',2)

% BLIND chr2
SEM = std(matrixBLI);
for x = 1:length(SEM)
    SEM(x) = SEM(x)/sqrt(sum(~isnan(matrixBLI(:,x))));
end
plot([1:size(matrixBLI,2)]/120-min(indexBLI)/120,mean(matrixBLI)+SEM,'LineStyle','-','Color',[138 160 219]./255,'LineWidth',1)
plot([1:size(matrixBLI,2)]/120-min(indexBLI)/120,mean(matrixBLI)-SEM,'LineStyle','-','Color',[138 160 219]./255,'LineWidth',1)
plot([1:size(matrixBLI,2)]/120-min(indexBLI)/120,mean(matrixBLI),'Color',[77 105 177]./255,'LineWidth',2)

line([0 0],[0 30],'LineWidth',2,'Color','r','LineStyle','--')
line(repmat((max(indexBLI2)-min(indexBLI))/120,1,2),[0 30],'LineWidth',2,'Color','r','LineStyle','--')

set(ax(3),'LineWidth',2,'FontSize',20,'XLim',[-4 8],'XTick',[-4 0 4 8],'XTickLabel',{'-4','0','4','8'},'YLim',[0 30],'YTick',[0 10 20 30],'YTickLabel',{'0','10','20','30'})
xlabel(ax(3),'relative time (s)','FontSize',20)
title(ax(3),'BLIND','FontSize',20)

set(gcf,'Position',[1 1 1200 300])
%% #4A FIG for showing speed offset averages in no stim epochs
finalmatrix = NaN(size(animalTmatrix_CTRL,1),size(animalTmatrix_CTRL{1,1},2));
for k = 1:size(animalTmatrix_CTRL,1)
    finalmatrix(k,:) = mean(cell2mat(animalTmatrix_CTRL(k,:)'));
end
figure; hold on; 
imagesc(xtime_CTRL{1,1},1:6,finalmatrix)
set(gca,'CLim',[0 30],'FontSize',20,'XLim',[-4 4],'XTick',[-4 0 4],'XTickLabel',{'-4','0','4'},'YLim',[0.5 6.5],'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'})

line([0 0],[0.5 6.5],'Color','w','LineWidth',2,'LineStyle','--')

%% #4B FIG for showing speed offset averages for 25 hz stim (modify for chr2 or yfp!)
finalmatrix = NaN(size(Tmatrix{5,1},1),size(Tmatrix{5,1}{1,2},2));
for k = 1:size(Tmatrix{5,1},1)
    finalmatrix(k,:) = mean(cell2mat(Tmatrix{5,1}(k,:)'));
end
figure; hold on; 
imagesc(xtime{5,1}{1,2},1:6,finalmatrix)
set(gca,'CLim',[0 30],'FontSize',20,'XLim',[-4 4],'XTick',[-4 0 4],'XTickLabel',{'-4','0','4'},'YLim',[0.5 6.5],'YTick',[1:6],'YTickLabel',{'0','4','8','12','16','20'})

line([0 0],[0.5 6.5],'Color','w','LineWidth',2,'LineStyle','--')
xlabel(gca, 'peristimulus time (s)','FontSize',20)
ylabel(gca, 'speed offset (cm/s)','FontSize',20)
    



%% (check plots behind half width measurements)
for k = 1:6
    for nn = 1:5
        figure('NumberTitle','off','Name',[num2str(k) '    ' num2str(nn)]); plot(mean(animalTmatrix{k,nn})); hold on
        
        dist = (7*size(animalTmatrix{k,nn},2))/18;     % 7*end/18
        line(xint{k,nn}+dist,yint{k,nn},'LineWidth',2,'Color','r')
        pause
    end
end

%% check pyr layer (with igor)
k = 56;
temp = eeg{k,1}(:,1:16);
tempF = [];
tempH = [];
bvar = fir1(2048,[150/(1000/2) 250/(1000/2)]);
for xx = 1:size(temp,2)
    tempF(:,xx) = filtfilt(bvar,1,temp(:,xx));
    tempH(:,xx) = abs(hilbert(tempF(:,xx)));
end

save('eeg_trial','temp','tempF','tempH','-v7.3')

%% create table for pyr layer channels
pyr(:,1) = {'1868','1943','1957','1985','2017','2022A','2022B','2026','2027','2040','2045','2046'};
pyr(:,2) = {4,12,1,7,9,6,23,6,4,11,1,4};
save('INC_pyrCh','pyr','-v7.3')
%%








