function [resultPosRot, allPosRot, allPosRotName] = andor_INCfreemov_STEP5_getCSV(rowdata)

allPosRot = cell(length(unique(rowdata(:,1))),2);
folder = '/Volumes/G31_invivo_data2$/projekt/incertus/analysis';
bigread = unique(rowdata(:,1));
onlyfile = unique(cellfun(@(x) x(1:4),bigread,'UniformOutput',false));
for k = 1:length(onlyfile)
    load(fullfile(folder,['INC_' onlyfile{k} '_1116_csv.mat']),'data')
    load(fullfile(folder,['INC_' onlyfile{k} '_speed.mat']),'infoCell','csvSample')
    
    tempinfoCell = find(ismember(infoCell(:,1),rowdata(:,1)));
    
    for x = 1:length(tempinfoCell)
        temprowdata = find(ismember(rowdata(:,1),infoCell(tempinfoCell(x),1)));
        
        for xx = 1:length(temprowdata)
            if ~isequal('1868',onlyfile{k})
                resultPosRot{temprowdata(xx),1} = csvSample{tempinfoCell(x),1}{rowdata{temprowdata(xx),2},1};
            else
                resultPosRot{temprowdata(xx),1} = csvSample{tempinfoCell(x),1}{rowdata{temprowdata(xx),4},1}{rowdata{temprowdata(xx),2},1};
            end
        end
        
        allPosRot{k,x} = data{tempinfoCell(x),1};
        allPosRotName{k,x} = infoCell{tempinfoCell(x),1};
    end
end   